MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024618Community[OCCT] OCCT:Modeling Algorithmspublic2014-02-12 08:292014-05-05 13:39
Reporterws 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024618: Embedding vertex in BOP depends on the order of arguments
DescriptionWhen a face and a vertex laying within the surface of that face are used as arguments in BOP, the result depends on the order of arguments. See the Draw script that reproduces the problem.

It is expected that the result will be a compound containing the vertex and the face with vertex embedded into it, independently of the order of arguments.
Steps To Reproduce# Load all commands
pload ALL
# Create a cylindrical face
cylinder c1 20
trimv c1 c1 0 50
mkface c1 c1
# Create a vertex
vertex v1 0 20 25
# Build partition
bclearobjects; bcleartools
baddobjects c1 v1 (or baddobjects v1 c1 - in this case the vertex is not embedded)
bfillds
bbuild r
# Explode the result compound
explode r
# Check number of shapes
nbshapes r_1
nbshapes r_2

Use the following commands to reproduce the problem:
#
cylinder c1 20
trimv c1 c1 0 50
mkface c1 c1
vertex v1 0 20 25

bclearobjects; bcleartools
baddobjects v1 c1

bfillds
bbuild r

explode r f

nbshapes r_1

# the result is:
Number of shapes in r_1
 VERTEX : 2
 EDGE : 3
 WIRE : 1
 FACE : 1
 SHELL : 0
 SOLID : 0
 COMPSOLID : 0
 COMPOUND : 0
 SHAPE : 7

# but it should be:
Number of shapes in r_1
 VERTEX : 3
 EDGE : 3
 WIRE : 1
 FACE : 1
 SHELL : 0
 SOLID : 0
 COMPSOLID : 0
 COMPOUND : 0
 SHAPE : 8
Additional information
and documentation updates
I. New features:
no new features

II. Changes:
II.1. class BOPDS_DS
   - method:
void BOPDS_DS::AloneVertices(const Standard_Integer theI,
                             BOPCol_ListOfInteger& theLI)const
The condition for DS-index of a vertex has been corrected

II.1. class BOPTools_AlgoTools3D
   - static function:
Standard_Boolean HasGeometry(const TopoDS_Shape& aS)

The returnig value has been corrected for shapes of vertex type

III. Modified entities:
packages:
BOPDS
BOPTools
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24618_1, bug24618_2, bug24618_3, bug24618_4
Attached Files

- Relationships

-  Notes
(0027847)
szv (manager)
2014-02-12 08:34

Hi Peter, would you please fix this bug?
(0027892)
pkv (developer)
2014-02-13 13:50

The branch CR24618 is ready to be reviewed.
(0027893)
emv (developer)
2014-02-13 14:00

No remarks. Please test.
(0027902)
mkv (tester)
2014-02-14 15:50

Dear BugMaster,

Branch CR24618 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 0e13a2c2d2c09c316c05f434f7d0cf9977321ff0

Number of compiler warnings:

occt component :
Linux: 40 (40 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24618-master-occt/Debian60-64/bugs/modalg_5/bug24618_1.html [^]
http://occt-tests/CR24618-master-occt/Debian60-64/bugs/modalg_5/bug24618_2.html [^]
http://occt-tests/CR24618-master-occt/Debian60-64/bugs/modalg_5/bug24618_3.html [^]
http://occt-tests/CR24618-master-occt/Debian60-64/bugs/modalg_5/bug24618_4.html [^]

http://occt-tests/CR24618-master-occt/Windows-32-VC9/bugs/modalg_5/bug24618_1.html [^]
http://occt-tests/CR24618-master-occt/Windows-32-VC9/bugs/modalg_5/bug24618_2.html [^]
http://occt-tests/CR24618-master-occt/Windows-32-VC9/bugs/modalg_5/bug24618_3.html [^]
http://occt-tests/CR24618-master-occt/Windows-32-VC9/bugs/modalg_5/bug24618_4.html [^]

bugs modalg_5(010) bug24618_1: OK
bugs modalg_5(010) bug24618_2: OK
bugs modalg_5(010) bug24618_3: OK
bugs modalg_5(010) bug24618_4: OK

Testing on Linux:
Total MEMORY difference: 381028856 / 381831144
Total CPU difference: 46752.639999999905 / 42213.76

Testing on Windows:
Total MEMORY difference: 428320624 / 431123492
Total CPU difference: 32280.078125 / 34130.65625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 362dec17
Timestamp: 2014-02-20 12:53:03
Author: pkv
Committer: apn
Details ] Diff ]
0024618: Embedding vertex in BOP depends on the order of arguments

Changes: class BOPDS_DS
   - method:
void BOPDS_DS::AloneVertices(const Standard_Integer theI,
                             BOPCol_ListOfInteger& theLI)const
The condition for DS-index of a vertex has been corrected

class BOPTools_AlgoTools3D
   - static function:
Standard_Boolean HasGeometry(const TopoDS_Shape& aS)
The returnig value has been corrected for shapes of vertex type

Modified entities:
packages:
BOPDS
BOPTools

Test cases for issue CR24618
mod - src/BOPDS/BOPDS_DS.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools3D.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug24618_1 Diff ] File ]
add - tests/bugs/modalg_5/bug24618_2 Diff ] File ]
add - tests/bugs/modalg_5/bug24618_3 Diff ] File ]
add - tests/bugs/modalg_5/bug24618_4 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-12 08:29 szv New Issue
2014-02-12 08:29 szv Assigned To => ifv
2014-02-12 08:34 szv Note Added: 0027847
2014-02-12 08:34 szv Assigned To ifv => pkv
2014-02-12 08:34 szv Status new => assigned
2014-02-12 08:34 szv Summary Embedding vertex in BOP depends on teh order of arguments => Embedding vertex in BOP depends on the order of arguments
2014-02-12 08:36 szv Description Updated View Revisions
2014-02-13 13:49 pkv Additional Information Updated View Revisions
2014-02-13 13:49 pkv Status assigned => resolved
2014-02-13 13:50 pkv Note Added: 0027892
2014-02-13 13:51 pkv Assigned To pkv => emv
2014-02-13 14:00 emv Note Added: 0027893
2014-02-13 14:00 emv Assigned To emv => mkv
2014-02-13 14:00 emv Status resolved => reviewed
2014-02-13 14:11 pkv Steps to Reproduce Updated View Revisions
2014-02-14 15:50 mkv Note Added: 0027902
2014-02-14 15:51 mkv Test case number => bugs modalg_5(010) bug24618_1, bug24618_2, bug24618_3, bug24618_4
2014-02-14 15:51 mkv Assigned To mkv => bugmaster
2014-02-14 15:51 mkv Status reviewed => tested
2014-02-20 15:36 apn Target Version => 6.7.1
2014-02-24 12:44 apn Changeset attached => occt master 362dec17
2014-02-24 12:44 apn Assigned To bugmaster => apn
2014-02-24 12:44 apn Status tested => verified
2014-02-24 12:44 apn Resolution open => fixed
2014-04-15 10:37 bugmaster Project Open CASCADE => Community
2014-04-15 10:43 bugmaster Reporter szv => ws
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 user533 Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker